/*
 * SwingInspecteurFournisseur.java
 *
 */

package org.cocktail.application.client.inspecteur.nib;

import org.cocktail.application.palette.JPanelCocktail;

/**
 *
 * @author  mparadot
 */
public class SwingInspecteurFournisseurNib extends JPanelCocktail {
    
    /** Creates new form SwingInspecteurFournisseur */
    public SwingInspecteurFournisseurNib() {
        initComponents();
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabelCocktail1 = new org.cocktail.application.palette.JLabelCocktail();
        jtfcNomFour = new org.cocktail.application.palette.JTextFieldCocktail();
        jtfcPrenomFour = new org.cocktail.application.palette.JTextFieldCocktail();
        jLabelCocktail3 = new org.cocktail.application.palette.JLabelCocktail();
        jPanel1 = new javax.swing.JPanel();
        jLabelCocktail2 = new org.cocktail.application.palette.JLabelCocktail();
        jrbcTypeFournis = new org.cocktail.application.palette.JRadioButtonCocktail();
        jrbcTypeClient = new org.cocktail.application.palette.JRadioButtonCocktail();
        jPanel2 = new javax.swing.JPanel();
        jtfcCodeFour = new org.cocktail.application.palette.JTextFieldCocktail();
        jLabelCocktail4 = new org.cocktail.application.palette.JLabelCocktail();
        jtpTabs = new javax.swing.JTabbedPane();
        jpTabAdresse = new javax.swing.JPanel();
        jtfcAdrFour = new org.cocktail.application.palette.JTextFieldCocktail();
        jtfcAdrSuiteFour = new org.cocktail.application.palette.JTextFieldCocktail();
        jtfcCodePostalFour = new org.cocktail.application.palette.JTextFieldCocktail();
        jLabelCocktail5 = new org.cocktail.application.palette.JLabelCocktail();
        jLabelCocktail6 = new org.cocktail.application.palette.JLabelCocktail();
        jtfcVilleFour = new org.cocktail.application.palette.JTextFieldCocktail();
        jLabelCocktail7 = new org.cocktail.application.palette.JLabelCocktail();
        jtfcPaysFour = new org.cocktail.application.palette.JTextFieldCocktail();
        jpTabCompte = new javax.swing.JPanel();
        jLabelCocktail8 = new org.cocktail.application.palette.JLabelCocktail();
        jtfcLoginFour = new org.cocktail.application.palette.JTextFieldCocktail();
        jLabelCocktail9 = new org.cocktail.application.palette.JLabelCocktail();
        jtfcEmailFour = new org.cocktail.application.palette.JTextFieldCocktail();
        jLabelCocktail10 = new org.cocktail.application.palette.JLabelCocktail();
        jtfcVlanFour = new org.cocktail.application.palette.JTextFieldCocktail();
        jbtcFermer = new org.cocktail.application.palette.JButtonCocktail();
        jLabelCocktail11 = new org.cocktail.application.palette.JLabelCocktail();
        jLabelCocktail12 = new org.cocktail.application.palette.JLabelCocktail();
        jftfDateCreation = new javax.swing.JFormattedTextField();
        jftfDateModif = new javax.swing.JFormattedTextField();

        setMinimumSize(new java.awt.Dimension(553, 351));

        jLabelCocktail1.setText("Nom :");

        jtfcNomFour.setEditable(false);
        jtfcNomFour.setDragEnabled(false);
        jtfcNomFour.setFocusable(false);
        jtfcNomFour.setOpaque(false);
        jtfcNomFour.setRequestFocusEnabled(false);

        jtfcPrenomFour.setEditable(false);
        jtfcPrenomFour.setDragEnabled(false);
        jtfcPrenomFour.setFocusable(false);
        jtfcPrenomFour.setOpaque(false);
        jtfcPrenomFour.setRequestFocusEnabled(false);

        jLabelCocktail3.setText("<html>Pr&eacute;nom :");

        jLabelCocktail2.setText("Type :");

        jrbcTypeFournis.setText("fournisseur");
        jrbcTypeFournis.setFocusable(false);

        jrbcTypeClient.setText("client");
        jrbcTypeClient.setFocusable(false);

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel1Layout.createSequentialGroup()
                .addContainerGap(30, Short.MAX_VALUE)
                .add(jLabelCocktail2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jrbcTypeClient, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jrbcTypeFournis, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                .add(jrbcTypeFournis, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(jrbcTypeClient, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(jLabelCocktail2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
        );

        jtfcCodeFour.setEditable(false);
        jtfcCodeFour.setDragEnabled(false);
        jtfcCodeFour.setFocusable(false);
        jtfcCodeFour.setOpaque(false);
        jtfcCodeFour.setRequestFocusEnabled(false);

        jLabelCocktail4.setText("Code Fournisseur :");

        org.jdesktop.layout.GroupLayout jPanel2Layout = new org.jdesktop.layout.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .add(jLabelCocktail4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(18, 18, 18)
                .add(jtfcCodeFour, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 91, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createSequentialGroup()
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jLabelCocktail4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jtfcCodeFour, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        jtfcAdrFour.setEditable(false);
        jtfcAdrFour.setDragEnabled(false);
        jtfcAdrFour.setFocusable(false);
        jtfcAdrFour.setOpaque(false);
        jtfcAdrFour.setRequestFocusEnabled(false);

        jtfcAdrSuiteFour.setEditable(false);
        jtfcAdrSuiteFour.setDragEnabled(false);
        jtfcAdrSuiteFour.setFocusable(false);
        jtfcAdrSuiteFour.setOpaque(false);
        jtfcAdrSuiteFour.setRequestFocusEnabled(false);

        jtfcCodePostalFour.setEditable(false);
        jtfcCodePostalFour.setDragEnabled(false);
        jtfcCodePostalFour.setFocusable(false);
        jtfcCodePostalFour.setOpaque(false);
        jtfcCodePostalFour.setRequestFocusEnabled(false);

        jLabelCocktail5.setText("Code Postal :");

        jLabelCocktail6.setText("Ville :");

        jtfcVilleFour.setEditable(false);
        jtfcVilleFour.setDragEnabled(false);
        jtfcVilleFour.setFocusable(false);
        jtfcVilleFour.setOpaque(false);
        jtfcVilleFour.setRequestFocusEnabled(false);

        jLabelCocktail7.setText("Pays :");

        jtfcPaysFour.setEditable(false);
        jtfcPaysFour.setDragEnabled(false);
        jtfcPaysFour.setFocusable(false);
        jtfcPaysFour.setOpaque(false);
        jtfcPaysFour.setRequestFocusEnabled(false);

        org.jdesktop.layout.GroupLayout jpTabAdresseLayout = new org.jdesktop.layout.GroupLayout(jpTabAdresse);
        jpTabAdresse.setLayout(jpTabAdresseLayout);
        jpTabAdresseLayout.setHorizontalGroup(
            jpTabAdresseLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jpTabAdresseLayout.createSequentialGroup()
                .addContainerGap()
                .add(jpTabAdresseLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jtfcAdrFour, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 452, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jtfcAdrSuiteFour, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 452, Short.MAX_VALUE)
                    .add(jpTabAdresseLayout.createSequentialGroup()
                        .add(jpTabAdresseLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, jpTabAdresseLayout.createSequentialGroup()
                                .add(jLabelCocktail7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(6, 6, 6)
                                .add(jtfcPaysFour, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 179, Short.MAX_VALUE))
                            .add(org.jdesktop.layout.GroupLayout.LEADING, jpTabAdresseLayout.createSequentialGroup()
                                .add(jLabelCocktail5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jtfcCodePostalFour, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 129, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabelCocktail6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jtfcVilleFour, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 176, Short.MAX_VALUE)))
                .addContainerGap())
        );
        jpTabAdresseLayout.setVerticalGroup(
            jpTabAdresseLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, jpTabAdresseLayout.createSequentialGroup()
                .addContainerGap(20, Short.MAX_VALUE)
                .add(jtfcAdrFour, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jtfcAdrSuiteFour, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jpTabAdresseLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabelCocktail5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jtfcCodePostalFour, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabelCocktail6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jtfcVilleFour, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jpTabAdresseLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabelCocktail7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jtfcPaysFour, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        jtpTabs.addTab("Adresse", jpTabAdresse);

        jLabelCocktail8.setText("Login :");

        jtfcLoginFour.setEditable(false);
        jtfcLoginFour.setDragEnabled(false);
        jtfcLoginFour.setFocusable(false);
        jtfcLoginFour.setOpaque(false);
        jtfcLoginFour.setRequestFocusEnabled(false);

        jLabelCocktail9.setText("Email :");

        jtfcEmailFour.setEditable(false);
        jtfcEmailFour.setDragEnabled(false);
        jtfcEmailFour.setFocusable(false);
        jtfcEmailFour.setOpaque(false);
        jtfcEmailFour.setRequestFocusEnabled(false);

        jLabelCocktail10.setText("Vlan :");

        jtfcVlanFour.setEditable(false);
        jtfcVlanFour.setDragEnabled(false);
        jtfcVlanFour.setFocusable(false);
        jtfcVlanFour.setOpaque(false);
        jtfcVlanFour.setRequestFocusEnabled(false);

        org.jdesktop.layout.GroupLayout jpTabCompteLayout = new org.jdesktop.layout.GroupLayout(jpTabCompte);
        jpTabCompte.setLayout(jpTabCompteLayout);
        jpTabCompteLayout.setHorizontalGroup(
            jpTabCompteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jpTabCompteLayout.createSequentialGroup()
                .addContainerGap()
                .add(jpTabCompteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jpTabCompteLayout.createSequentialGroup()
                        .add(jLabelCocktail8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jtfcLoginFour, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 399, Short.MAX_VALUE))
                    .add(jpTabCompteLayout.createSequentialGroup()
                        .add(jLabelCocktail9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jtfcEmailFour, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 400, Short.MAX_VALUE))
                    .add(jpTabCompteLayout.createSequentialGroup()
                        .add(jLabelCocktail10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(18, 18, 18)
                        .add(jtfcVlanFour, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 399, Short.MAX_VALUE)))
                .addContainerGap())
        );
        jpTabCompteLayout.setVerticalGroup(
            jpTabCompteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jpTabCompteLayout.createSequentialGroup()
                .addContainerGap()
                .add(jpTabCompteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabelCocktail8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jtfcLoginFour, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(jpTabCompteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabelCocktail9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jtfcEmailFour, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jpTabCompteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabelCocktail10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jtfcVlanFour, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        jtpTabs.addTab("Compte", jpTabCompte);

        jbtcFermer.setText("Fermer");

        jLabelCocktail11.setText("<html>Date de c&eacute;ation :");

        jLabelCocktail12.setText("<html>Date de modif :");

        jftfDateCreation.setEditable(false);
        jftfDateCreation.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.DateFormatter(java.text.DateFormat.getDateInstance(java.text.DateFormat.MEDIUM))));
        jftfDateCreation.setFocusable(false);
        jftfDateCreation.setOpaque(false);

        jftfDateModif.setEditable(false);
        jftfDateModif.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.DateFormatter(java.text.DateFormat.getDateInstance(java.text.DateFormat.MEDIUM))));
        jftfDateModif.setFocusable(false);
        jftfDateModif.setOpaque(false);

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, jtpTabs, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 513, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                .add(jLabelCocktail11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jftfDateCreation, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 138, Short.MAX_VALUE))
                            .add(layout.createSequentialGroup()
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(jLabelCocktail1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(jLabelCocktail3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(jtfcPrenomFour, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 189, Short.MAX_VALUE)
                                    .add(jtfcNomFour, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 189, Short.MAX_VALUE))))
                        .add(12, 12, 12)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                                .add(jPanel2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .add(jPanel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                .add(jLabelCocktail12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jftfDateModif, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 123, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))))
                .addContainerGap())
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap(448, Short.MAX_VALUE)
                .add(jbtcFermer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(30, 30, 30))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(20, 20, 20)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabelCocktail1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jtfcNomFour, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabelCocktail3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jtfcPrenomFour, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(12, 12, 12)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabelCocktail11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabelCocktail12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jftfDateModif, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jftfDateCreation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(jPanel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(jtpTabs, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 184, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jbtcFermer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
    }// </editor-fold>//GEN-END:initComponents
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail1;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail10;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail11;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail12;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail2;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail3;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail4;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail5;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail6;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail7;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail8;
    private org.cocktail.application.palette.JLabelCocktail jLabelCocktail9;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private org.cocktail.application.palette.JButtonCocktail jbtcFermer;
    private javax.swing.JFormattedTextField jftfDateCreation;
    private javax.swing.JFormattedTextField jftfDateModif;
    private javax.swing.JPanel jpTabAdresse;
    private javax.swing.JPanel jpTabCompte;
    private org.cocktail.application.palette.JRadioButtonCocktail jrbcTypeClient;
    private org.cocktail.application.palette.JRadioButtonCocktail jrbcTypeFournis;
    private org.cocktail.application.palette.JTextFieldCocktail jtfcAdrFour;
    private org.cocktail.application.palette.JTextFieldCocktail jtfcAdrSuiteFour;
    private org.cocktail.application.palette.JTextFieldCocktail jtfcCodeFour;
    private org.cocktail.application.palette.JTextFieldCocktail jtfcCodePostalFour;
    private org.cocktail.application.palette.JTextFieldCocktail jtfcEmailFour;
    private org.cocktail.application.palette.JTextFieldCocktail jtfcLoginFour;
    private org.cocktail.application.palette.JTextFieldCocktail jtfcNomFour;
    private org.cocktail.application.palette.JTextFieldCocktail jtfcPaysFour;
    private org.cocktail.application.palette.JTextFieldCocktail jtfcPrenomFour;
    private org.cocktail.application.palette.JTextFieldCocktail jtfcVilleFour;
    private org.cocktail.application.palette.JTextFieldCocktail jtfcVlanFour;
    private javax.swing.JTabbedPane jtpTabs;
    // End of variables declaration//GEN-END:variables

    public javax.swing.JPanel getJpTabAdresse() {
        return jpTabAdresse;
    }

    public javax.swing.JPanel getJpTabCompte() {
        return jpTabCompte;
    }

    public org.cocktail.application.palette.JRadioButtonCocktail getJrbcTypeClient() {
        return jrbcTypeClient;
    }

    public org.cocktail.application.palette.JRadioButtonCocktail getJrbcTypeFournis() {
        return jrbcTypeFournis;
    }

    public org.cocktail.application.palette.JTextFieldCocktail getJtfcAdrFour() {
        return jtfcAdrFour;
    }

    public org.cocktail.application.palette.JTextFieldCocktail getJtfcAdrSuiteFour() {
        return jtfcAdrSuiteFour;
    }

    public org.cocktail.application.palette.JTextFieldCocktail getJtfcCodeFour() {
        return jtfcCodeFour;
    }

    public org.cocktail.application.palette.JTextFieldCocktail getJtfcCodePostalFour() {
        return jtfcCodePostalFour;
    }

    public org.cocktail.application.palette.JTextFieldCocktail getJtfcEmailFour() {
        return jtfcEmailFour;
    }

    public org.cocktail.application.palette.JTextFieldCocktail getJtfcLoginFour() {
        return jtfcLoginFour;
    }

    public org.cocktail.application.palette.JTextFieldCocktail getJtfcNomFour() {
        return jtfcNomFour;
    }

    public org.cocktail.application.palette.JTextFieldCocktail getJtfcPaysFour() {
        return jtfcPaysFour;
    }

    public org.cocktail.application.palette.JTextFieldCocktail getJtfcPrenomFour() {
        return jtfcPrenomFour;
    }

    public org.cocktail.application.palette.JTextFieldCocktail getJtfcVilleFour() {
        return jtfcVilleFour;
    }

    public org.cocktail.application.palette.JTextFieldCocktail getJtfcVlanFour() {
        return jtfcVlanFour;
    }

    public javax.swing.JTabbedPane getJtpTabs() {
        return jtpTabs;
    }

    public org.cocktail.application.palette.JButtonCocktail getJbtcFermer() {
        return jbtcFermer;
    }

    public javax.swing.JFormattedTextField getJftfDateCreation() {
        return jftfDateCreation;
    }

    public javax.swing.JFormattedTextField getJftfDateModif() {
        return jftfDateModif;
    }
    
}
